MEMFROB(3)

NAME
memfrob - frobnicate (encrypt) a memory area

SYNOPSIS
#include <string.h>

void *memfrob(void *s, size_t n);

DESCRIPTION
The memfrob() function encrypts the first n bytes of the memory area s by exclusive-ORing each character with the number 42. The effect can be reversed by using memfrob() on the encrypted memory area.

Note that this function is not a proper encryption routine as the XOR constant is fixed, and is only suitable for hiding strings.

RETURN VALUE
The memfrob() function returns a pointer to the encrypted memory area.

CONFORMING TO
The memfrob() function is unique to the Linux C Library and GNU C Library.

SEE ALSO
strfry(3)